/*******************************************************************\

Module: Memory models for partial order concurrency

Author: Michael Tautschnig, michael.tautschnig@cs.ox.ac.uk

\*******************************************************************/

#ifndef GLUE_MEMORY_MODEL_TSO_REPAIR_H
#define GLUE_MEMORY_MODEL_TSO_REPAIR_H

#include "../goto-symex/memory_model_tso.h"
#include "wmm_repair.h"

class memory_model_tso_repairt:public wmm_repairt, public memory_model_tsot
{

public:
  inline explicit memory_model_tso_repairt(symbol2ordert &sym_o,
      const namespacet &_ns):wmm_repairt(sym_o), memory_model_tsot(_ns)
  {

  }

  
protected:

  void program_order(symex_target_equationt &equation);

private:



};

#endif

