/*******************************************************************\

Module: Memory models for partial order concurrency

Author: Michael Tautschnig, michael.tautschnig@cs.ox.ac.uk

\*******************************************************************/

#ifndef GLUE_MEMORY_MODEL_PSO_REPAIR_H
#define GLUE_MEMORY_MODEL_PSO_REPAIR_H

#include "../goto-symex/memory_model_pso.h"
#include "wmm_repair.h"

class memory_model_pso_repairt:public wmm_repairt, public memory_model_psot
{

public:
  typedef enum {SC=1,TSO=2} repair_to_t;
  inline explicit memory_model_pso_repairt(symbol2ordert &sym_o,
      const namespacet &_ns, const repair_to_t r=SC):wmm_repairt(sym_o), memory_model_psot(_ns),repairto(r)
  {

  }

  
protected:

  void program_order(symex_target_equationt &equation);

private:
  repair_to_t repairto;




};

#endif

